Rubric checks ranked by how often they are missed
curl --request GET \
--url https://api.pineyard.ai/speech/insights/quality \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/insights/quality', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/insights/quality"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sections": [
{
"sectionId": "<string>",
"sectionName": "<string>",
"failRate": 123,
"attempts": 123,
"criteria": [
{
"scorecardId": "<string>",
"criteriaId": "<string>",
"question": "<string>",
"failRate": 123,
"misses": 123,
"attempts": 123,
"liftPoints": 123,
"opportunityPoints": 123,
"reps": [
{
"repId": "<string>",
"name": "<string>",
"failRate": 123,
"misses": 123,
"attempts": 123
}
]
}
]
}
],
"minRepSample": 123,
"minLiftSample": 123
}Insights
Rubric checks ranked by how often they are missed
GET
/
speech
/
insights
/
quality
Rubric checks ranked by how often they are missed
curl --request GET \
--url https://api.pineyard.ai/speech/insights/quality \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/insights/quality', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/insights/quality"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sections": [
{
"sectionId": "<string>",
"sectionName": "<string>",
"failRate": 123,
"attempts": 123,
"criteria": [
{
"scorecardId": "<string>",
"criteriaId": "<string>",
"question": "<string>",
"failRate": 123,
"misses": 123,
"attempts": 123,
"liftPoints": 123,
"opportunityPoints": 123,
"reps": [
{
"repId": "<string>",
"name": "<string>",
"failRate": 123,
"misses": 123,
"attempts": 123
}
]
}
]
}
],
"minRepSample": 123,
"minLiftSample": 123
}Required scope:
speech.view
